de.esprit.appsuite.nio.parser

## Class AsciiWriter<C extends ApplicationContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<C>
    - - de.esprit.appsuite.task.AbstractAsyncExecutable<C>
      - - de.esprit.appsuite.nio.parser.AsciiWriter<C>

- All Implemented Interfaces:
    ApplicationObject<C>, AsyncExecutable<C>, CancellableTask, TaskMonitorSupport, SimpleLogSupport, Dumpable, java.io.Closeable, java.lang.AutoCloseable

      public class AsciiWriter<C extends ApplicationContext>
      extends AbstractAsyncExecutable<C>
      implements java.io.Closeable

  This writer uses NIO for writing raw ASCII data with best possible performance.
  Author:
    Thomas Stecher, Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.task.AbstractAsyncExecutable

      `childTaskRef, isTestMode, monitorController, resultRef, stateFlag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsciiWriter(C ctx, java.io.ByteArrayOutputStream stream)`
    `AsciiWriter(C ctx, java.io.ByteArrayOutputStream stream, int buffSize)`
    `AsciiWriter(C ctx, java.io.File file)`
    `AsciiWriter(C ctx, FileInfo fileInfo, java.io.OutputStream stream)`
    `AsciiWriter(C ctx, FileInfo fileInfo, java.io.OutputStream stream, int buffSize)`
    `AsciiWriter(C ctx, java.io.File file, int buffSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `protected java.io.FileOutputStream` | `createFileOutputStream(java.io.File file)`
    `void` | `executeAsync()` Contains the code to be executed asynchronously.
    `void` | `flush()`
    `FileInfo` | `getFileInfo()`
    `java.io.File` | `getOutputFile()`
    `long` | `getWrittenByteCount()`
    `int` | `getWrittenLineCount()`
    `int` | `getWrittenOperationCount()`
    `void` | `openFile()`
    `protected void` | `performWrite()`
    `void` | `write(AsciiLine line)`
    `void` | `write(AsciiWord word)`
    `void` | `write(byte[] bytes)`
    `void` | `write(byte[] data, int start, int length)`
    `void` | `write(char value)`
    `void` | `write(double value)`
    `void` | `write(float value)`
    `void` | `write(int value)`
    `void` | `write(long value)`
    `void` | `write(java.lang.String text)`
    `void` | `write(java.lang.String format, java.lang.Object... args)`
    `void` | `writeLine()`
    `void` | `writeLine(java.lang.String line)`
    `void` | `writeLine(java.lang.String format, java.lang.Object... args)`

    - ### Methods inherited from class de.esprit.appsuite.task.AbstractAsyncExecutable

      `addMonitor, checkCancelled, checkForErrorAndRethrow, clearMonitors, createRunStateFlag, doOnCancel, doOnFailure, executeSubTask, executeSync, getError, getMaxProgressSteps, getMonitorCount, getMonitors, getName, getProgressStepCount, getResult, getRunStateFlag, getTaskId, getType, handleCancellation, handleFailure, handleFinish, handleStart, handleSuccess, hasError, hasMonitor, isCancellable, notifyProceeded, registerTaskStateChange, removeMonitor, resetProgress, setCancellable, setLogLevel, setMaxProgressSteps, setMonitor, setName, setName, setResult, setRunStateFlag, setTaskId, setType, shouldFireMonitor, sleepChecked, wasCancelled`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationConfig, getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.launch.ApplicationObject

      `getApplicationContext`

    - ### Methods inherited from interface de.esprit.common.log.SimpleLogSupport

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

- - ### Constructor Detail

    - #### AsciiWriter

          public AsciiWriter(C ctx,
                     java.io.File file)

    - #### AsciiWriter

          public AsciiWriter(C ctx,
                     java.io.File file,
                     int buffSize)

    - #### AsciiWriter

          public AsciiWriter(C ctx,
                     java.io.ByteArrayOutputStream stream)

    - #### AsciiWriter

          public AsciiWriter(C ctx,
                     java.io.ByteArrayOutputStream stream,
                     int buffSize)

    - #### AsciiWriter

          public AsciiWriter(C ctx,
                     FileInfo fileInfo,
                     java.io.OutputStream stream)

    - #### AsciiWriter

          public AsciiWriter(C ctx,
                     FileInfo fileInfo,
                     java.io.OutputStream stream,
                     int buffSize)

  - ### Method Detail

    - #### openFile

          public final void openFile()
                              throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

    - #### getFileInfo

          public final FileInfo getFileInfo()

    - #### getOutputFile

          public final java.io.File getOutputFile()

    - #### executeAsync

          public final void executeAsync()
                                  throws java.lang.Exception

      Description copied from interface: `AsyncExecutable`
      Contains the code to be executed asynchronously. WARNING: This method should never be called directly by the programmer. It rather must be called by `Runnable.run()` for async execution.
      Specified by:
        `executeAsync` in interface `AsyncExecutable<C extends ApplicationContext>`
      Throws:
        `java.lang.Exception`
      See Also:
        `for synchronous execution`

    - #### performWrite

          protected void performWrite()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### createFileOutputStream

          protected java.io.FileOutputStream createFileOutputStream(java.io.File file)
                                                             throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

    - #### getWrittenByteCount

          public final long getWrittenByteCount()

    - #### getWrittenLineCount

          public final int getWrittenLineCount()

    - #### getWrittenOperationCount

          public final int getWrittenOperationCount()

    - #### write

          public final void write(byte[] bytes)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public final void write(int value)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public final void write(long value)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public final void write(float value)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public final void write(double value)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public final void write(char value)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public final void write(java.lang.String text)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public final void write(AsciiWord word)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public final void write(AsciiLine line)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeLine

          public final void writeLine(java.lang.String line)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeLine

          public final void writeLine()
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeLine

          public final void writeLine(java.lang.String format,
                       java.lang.Object... args)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public final void write(java.lang.String format,
                   java.lang.Object... args)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public final void write(byte[] data,
                   int start,
                   int length)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### flush

          public final void flush()
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

Copyright © 2011 EsprIT-Systems. All Rights Reserved.